A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Member Functions | Data Fields
af_cdouble Struct Reference

`#include <complex.h>`

## Public Member Functions
| af_cdouble (const double _real=0, const double _imag=0)

## Data Fields
double | real
double | imag

## Detailed Description

Definition at line 32 of file complex.h.

## Constructor & Destructor Documentation

## ◆ af_cdouble()

af_cdouble | ( | const double | _real = 0,
|  | const double | _imag = 0 )
| inline

Definition at line 36 of file complex.h.

36:real(_real), imag(_imag) {}
af::af_cdouble::real
double real
Definition complex.h:33
af::af_cdouble::imag
double imag
Definition complex.h:34

## Field Documentation

## ◆ imag

double imag

Definition at line 34 of file complex.h.

## ◆ real

double real

Definition at line 33 of file complex.h.

The documentation for this struct was generated from the following file:

- complex.h